> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/os-image-download.md).

# OS Image Download

## Gets a list of tags

> This endpoint is used to fetch all the tags in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/":{"get":{"operationId":"ux_nccm_os_image_list","description":"This endpoint is used to fetch all the tags in the current organization","summary":"Gets a list of tags","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OSImage"}}}},"description":""}}}}}}
```

## Creates a new configuration profile

> This endpoint is used to save a new configuration profile for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/":{"post":{"operationId":"ux_nccm_os_image_create","description":"This endpoint is used to save a new configuration profile for the current organization","summary":"Creates a new configuration profile","tags":["OS Image Download"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OSImage"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## Gets a global param with the given id

> This endpoint is used to fetch a global parameters in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/{id}/":{"get":{"operationId":"ux_nccm_os_image_retrieve","description":"This endpoint is used to fetch a global parameters in the current organization","summary":"Gets a global param with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## Edits the tag with given id

> This endpoint is used to edit an existing tag for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/{id}/":{"put":{"operationId":"ux_nccm_os_image_update","description":"This endpoint is used to edit an existing tag for the current organization","summary":"Edits the tag with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["OS Image Download"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OSImage"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## Deletes the tag with given id

> This endpoint is used to delete an existing tag for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/nccm/os-image/{id}/":{"delete":{"operationId":"ux_nccm_os_image_destroy","description":"This endpoint is used to delete an existing tag for the current organization","summary":"Deletes the tag with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["OS Image Download"],"responses":{"204":{"description":"No response body"}}}}}}
```

## POST /ux/nccm/os-image/file-upload-status/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/file-upload-status/":{"post":{"operationId":"ux_nccm_os_image_file_upload_status_create","description":"API endpoint that allows users to be viewed or edited.","tags":["OS Image Download"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OSImage"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## Get the file types to generagte hash key

> This endpoint is used to get the file types that is allowed to generate the hash key

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/get-allowed-file-types/":{"get":{"operationId":"ux_nccm_os_image_get_allowed_file_types_retrieve","description":"This endpoint is used to get the file types that is allowed to generate the hash key","summary":"Get the file types to generagte hash key","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## POST /ux/nccm/os-image/multidelete/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/multidelete/":{"post":{"operationId":"ux_nccm_os_image_multidelete_create","description":"API endpoint that allows users to be viewed or edited.","tags":["OS Image Download"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OSImage"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## Get the options for the Download Jobs

> This endpoint is used to get the default options for Download Jobs

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/options/":{"get":{"operationId":"ux_nccm_os_image_options_retrieve","description":"This endpoint is used to get the default options for Download Jobs","summary":"Get the options for the Download Jobs","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## GET /ux/nccm/os-image/os-images-objs/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/os-images-objs/":{"get":{"operationId":"ux_nccm_os_image_os_images_objs_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## GET /ux/nccm/os-image/os-images-status/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/os-images-status/":{"get":{"operationId":"ux_nccm_os_image_os_images_status_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## POST /ux/nccm/os-image/os-img-recve/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/os-img-recve/":{"post":{"operationId":"ux_nccm_os_image_os_img_recve_create","description":"API endpoint that allows users to be viewed or edited.","tags":["OS Image Download"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OSImage"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## GET /ux/nccm/os-image/os-job-audit/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/os-job-audit/":{"get":{"operationId":"ux_nccm_os_image_os_job_audit_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## Delete os schedule the given id

> This endpoint is used to delete a os schedule in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/os-schedule-delete/":{"get":{"operationId":"ux_nccm_os_image_os_schedule_delete_retrieve","description":"This endpoint is used to delete a os schedule in the current organization","summary":"Delete os schedule the given id","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## Gets a os schedule the given id

> This endpoint is used to fetch a os schedule in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/os-schedule-detail/":{"get":{"operationId":"ux_nccm_os_image_os_schedule_detail_retrieve","description":"This endpoint is used to fetch a os schedule in the current organization","summary":"Gets a os schedule the given id","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## GET /ux/nccm/os-image/os-schedule-details/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/os-schedule-details/":{"get":{"operationId":"ux_nccm_os_image_os_schedule_details_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## GET /ux/nccm/os-image/os-schedule-options/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/os-schedule-options/":{"get":{"operationId":"ux_nccm_os_image_os_schedule_options_retrieve","description":"API endpoint that allows users to be viewed or edited.","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## Search Options os schedule the given ids

> This endpoint is used to Search options os schedule in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/os-schedule-search-options/":{"get":{"operationId":"ux_nccm_os_image_os_schedule_search_options_retrieve","description":"This endpoint is used to Search options os schedule in the current organization","summary":"Search Options os schedule the given ids","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## Enable/disable os schedule the given ids

> This endpoint is used to Enable/disable os schedule in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/os-schedule-toggle-state/":{"get":{"operationId":"ux_nccm_os_image_os_schedule_toggle_state_retrieve","description":"This endpoint is used to Enable/disable os schedule in the current organization","summary":"Enable/disable os schedule the given ids","tags":["OS Image Download"],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## POST /ux/nccm/os-image/save-osimage-schedule-info/

> API endpoint that allows users to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/save-osimage-schedule-info/":{"post":{"operationId":"ux_nccm_os_image_save_osimage_schedule_info_create","description":"API endpoint that allows users to be viewed or edited.","tags":["OS Image Download"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OSImage"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```

## Search Options os schedule the given ids

> This endpoint is used to Search options os schedule in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}},"schemas":{"OSImage":{"type":"object","description":"Serializer for Documents.\n\nRecognized primitve fields:\n\n    * ``StringField``\n    * ``URLField``\n    * ``EmailField``\n    * ``IntField``\n    * ``LongField``\n    * ``FloatField``\n    * ``DecimalField``\n    * ``BooleanField``\n    * ``DateTimeField``\n    * ``ComplexDateTimeField``\n    * ``ObjectIdField``\n    * ``SequenceField`` (assumes it has integer counter)\n    * ``UUIDField``\n    * ``GeoPointField``\n    * ``GeoJsonBaseField`` (all those fields)\n    * ``DateField``\n\nCompound fields: ``ListField`` and ``DictField`` are mapped to corresponding DRF fields, with respect to nested field specification.\n\nThe ``ReferenceField`` is handled like ``ForeignKey`` in DRF: there nested serializer autogenerated if serializer depth greater then 0, otherwise it's handled by it's own (results as ``str(id)``).\n\nFor ``EmbeddedDocumentField`` also nested serializer autogenerated for non-zero depth, otherwise it is skipped. TODO: THIS IS PROBABLY WRONG AND SHOULD BE FIXED.\n\nGeneric fields ``GenericReferenceField`` and ``GenericEmbeddedDocumentField`` are handled by their own with corresponding serializer fields.\n\nNot well supported or untested:\n\n    ``FileField``\n    ``ImageField``\n    ``BinaryField``\n\nAll other fields are mapped to ``DocumentField`` and probably will work wrong.","properties":{"id":{"type":"string","readOnly":true},"last_update_time":{"type":"string","readOnly":true},"image_id":{"type":"string","readOnly":true},"download_status_obj":{"type":"string","readOnly":true},"uploader_profile":{"type":"string","readOnly":true},"img_id":{"type":"string","maxLength":25},"organization":{"type":"string","maxLength":25},"vendor":{"type":"string"},"description":{"type":"string"},"ostype":{"type":"string"},"series":{"type":"string"},"model":{"type":"string"},"os_version":{"type":"string"},"image_type":{"type":"string"},"image_size":{"type":"string"},"min_dram":{"type":"integer"},"min_flash":{"type":"integer"},"md5_hash":{"type":"string"},"file_name":{"type":"string"},"file_path":{"type":"string"},"creation_time":{"type":"string","format":"date-time"},"modified_time":{"type":"string","format":"date-time"},"uploader_id":{"type":"string","nullable":true,"default":"2"},"uploaded_by":{"type":"string"},"uploaded_type":{"type":"integer"},"is_checked":{"type":"boolean"},"is_deleted":{"type":"boolean"},"job_iteration_id":{"type":"string"},"job_id":{"type":"string"}},"required":["download_status_obj","id","image_id","img_id","last_update_time","organization","uploader_profile"]}}},"paths":{"/ux/nccm/os-image/trigger-osdownload/":{"post":{"operationId":"ux_nccm_os_image_trigger_osdownload_create","description":"This endpoint is used to Search options os schedule in the current organization","summary":"Search Options os schedule the given ids","tags":["OS Image Download"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}},"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/OSImage"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OSImage"}}},"description":""}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/os-image-download.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
